Bug 141563 - Problems with LDAP servers and SSL in evolution
Summary: Problems with LDAP servers and SSL in evolution
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution   
(Show other bugs)
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Malcolm
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-12-02 02:41 UTC by David Kaplan
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-05 15:57:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jeff Cheng 2004-12-02 02:41:22 UTC
TREE: FC3 (kernel-2.6.9-1.681_FC3)
ARCH: x86
PACKAGES: hal-0.4.2-1.FC3, hal-gnome-0.4.2-1.FC3

Description of problem:
When selecting a ieee1394 device (I have a ieee1394 dvd burner) in
hal-device-manager, I get the following traceback:
Traceback (most recent call last):
  File "/usr/share/hal/device-manager/DeviceManager.py", line 125, in
on_device_tree_selection_changed
    self.update_device_notebook(device)
  File "/usr/share/hal/device-manager/DeviceManager.py", line 481, in
update_device_notebook
    self.update_tab_device(device)
  File "/usr/share/hal/device-manager/DeviceManager.py", line 302, in
update_tab_device
    bus.set_label(Const.BUS_NAMES[device.properties["info.bus"]])
KeyError: 'ieee1394'

How reproducible:
always

Steps to Reproduce:
1. Boot FC3 with a ieee1394 device plugged in
2. Start hal-device-manager
3. Select the device in the tree

Comment 1 David Kaplan 2004-12-02 02:41:22 UTC
Description of problem:
I use an ldap server at work to find contacts.  Connecting to the LDAP
server from Windows XP in both unsecure and secure (SSL) mode works
fine.  When connecting to the server from evolution, only insecure
mode works.  Changing the SSL settings to "whenever possible" or
"always" fails, as does changing the port to 636.

Furthermore, if I try ssl=always and it fails, then changing the
setting back to "never" does not take effect immediately.  I have to
kill the evolution-data-server to get the changes to take effect.

Instructions for connecting to the server I use can be found at:

http://xbase.ucdavis.edu/itexpress/article.cfm?art=947

As far as I know, it is open to anyone, so you can try it yourself.

Version-Release number of selected component (if applicable):
evolution-2.0.2-3

How reproducible:
always

Steps to Reproduce:
1.create a connection to an LDAP server using SSL.
2.try to do a search
3.now change setting to not use ssl and try again.
4.close evolution and manually kill all evolution processes.
5.open evolution again and try connection to server this time without ssl.
  
Actual results:
At step 2, search fails.  At step 3, search fails.  At step 5, search
will work.

Expected results:
Search should work in steps 2, 3 and 5.

Additional info:
Instructions for connecting to the server I use can be found at:

http://xbase.ucdavis.edu/itexpress/article.cfm?art=947

Comment 2 David Kaplan 2004-12-02 02:45:49 UTC
The Fly??

Somehow, my bug report got merged with someone else's because I didn't
write those initial comments about ieee1394.  This looks like a
bugzilla bug to me - perhaps it has problems with multiple
simultaneous reports of someone without a real name.

Comment 3 Matthew Miller 2006-07-10 21:37:25 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 4 John Thacker 2006-11-05 15:57:06 UTC
Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.


Note You need to log in before you can comment on or make changes to this bug.